#tabstop=4
################################################################################
# Project:  Orbasec
# 
# -------------------------------------------------------------------------
# Copyright (C) 1998 Polar Huemnn
#                    All rights reserved.
# -------------------------------------------------------------------------
# $Id$
################################################################################

top_srcdir	= ..

NAME		= GSSKRB.jar

!include $(top_srcdir)\..\config\Make.rules.mak

all:: gsskrb

gsskrb: 
	set CLASSPATH=.;generated;$(top_srcdir)\lib;$(CLASSPATH)
	-mkdir $(top_srcdir)\lib
	$(JAVAC) $(JAVACFLAGS) -d $(top_srcdir)\lib \
		orbasec\krb5\*.java \
		orbasec\secrep\gsskrb5\*.java

jar:
	cd $(top_srcdir)\lib & \
	del /q $(NAME) & \
	$(JAR) $(JARFLAGS) $(NAME) orbasec

install:: jar
	$(INSTALL_DATA) $(top_srcdir)\lib\$(NAME) $(libdir)
	$(INSTALL_DATA) $(top_srcdir)\..\README $(prefix)\README-GSSKRB
	$(INSTALL_DATA) $(top_srcdir)\..\README.JDK-1.2 $(prefix)\README.JDK-1.2

clean::
	rm -rf $(top_srcdir)\lib
