#tabstop=4
################################################################################
# Project:  Orbasec
#
# -------------------------------------------------------------------------
# Copyright (C) 1998 Polar Huemnn
#                    All rights reserved.
# -------------------------------------------------------------------------
# $Id$
################################################################################

# **********************************************************************
#
# Copyright (c) 1998
# Object-Oriented Concepts, Inc.
# Billerica, MA, USA
#
# Copyright (c) 1998
# Object-Oriented Concepts GmbH
# Ettlingen, Germany
#
# All Rights Reserved
#
# **********************************************************************

# ----------------------------------------------------------------------
# Use the following lines to set your installation directories
# ----------------------------------------------------------------------

prefix		= C:\Program Files\Adiron\ORBAsec\SL2\2.0.3
bindir		= $(prefix)\bin
libdir		= $(prefix)\lib

# Set OBVERSION to 310 for ORBacus Version 3.1 or 311 for Version 3.1.1
# Set OBVERSION to 31x for Version 3.1.x
# Set JOB_IDLDIR to location of OB IDL files.

# ORBacus Version 3.1.3
OBVERSION   = 313
JOB_IDLDIR  = C:\OOC\OB\idl
OB_HOME     = C:\OOC\OB

# ORBacus Version 3.1
#OBVERSION   = 310
#JOB_IDLDIR  = C:\OOC\OB\idl


# ----------------------------------------------------------------------
# Set the paths of various libraries
# ----------------------------------------------------------------------

# The Orbacus class files
OB_LIB=$(OB_HOME)\lib\OB.jar

# ----------------------------------------------------------------------
# The Orbasec GSSKRB class files
GSSKRB_LIB=$(top_srcdir)\..\gsskrb\lib
#GSSKRB_LIB=$(libdir)/GSSKRB.jar

# The Orbasec GSSKRB class files for tests
GSSKRB_TEST_LIB=$(top_srcdir)\..\gsskrb\lib
#GSSKRB_TEST_LIB=$(libdir)\GSSKRBTest.jar

# Please change the following settings to reflect your Java
# development environment
# ----------------------------------------------------------------------

# SUN's JDK 1.1 or higher
JAVA		= java
JAVAC		= javac
JAVACDEBUG	= 
JAVACFLAGS	= -deprecation $(JAVACDEBUG)
JAR		= jar
JARFLAGS	= c0f

# SUN's JDK 1.2
# JAVA_HOME	= C:\Program Files\JavaSoft\JRE\1.2
# JAVA		= java
# JAVAC		= javac
# JAVACDEBUG	=
# JAVACFLAGS	= -deprecation $(JAVACDEBUG) -bootclasspath $(OB_LIB);$(JAVA_HOME)\lib\rt.jar;$(JAVA_HOME)\lib\i18n.jar
# JAR		= jar
# JARFLAGS	= c0f

# Microsoft's Visual J++
#JAVA		= jview
#JAVAC		= jvc
#JAVACFLAGS	=
#JAR		= jar
#JARFLAGS	= c0f

# ----------------------------------------------------------------------
# Please change the following settings to reflect your IDL-to-Java
# translator
# ----------------------------------------------------------------------

# ORBacus
JIDL		= jidl -I$(JOB_IDLDIR) -DOBVERSION=$(OBVERSION)
JIDLFLAGS	=
JIDLPKGARG	= --package
JIDLDIRARG	= --output-dir
JIDLNOSKELARG	= --no-skeletons
JIDLPKGFIX	=
ORBVENDOR	= ORBacus
 
# VisiBroker
#JIDL		= idl2java -DOBVERSION=$(OBVERSION)
#JIDLFLAGS	=
#JIDLPKGARG	= -package
#JIDLDIRARG	= -root_dir
#JIDLNOSKELARG	=
#JIDLPKGFIX	=
#ORBVENDOR	= VisiBroker
 
# OrbixWeb 3.0
#JIDL		= idl
#JIDLFLAGS	= -m IIOPOnly -DNEED_ORB_IDL -DOBVERSION=$(OBVERSION)
#JIDLPKGARG	= -jP
#JIDLDIRARG	= -jO
#JIDLNOSKELARG	=
#JIDLPKGFIX	= -jP CosTrading=org.omg
#ORBVENDOR	= OrbixWeb

# ----------------------------------------------------------------------
# Don't change anything below this line
# ----------------------------------------------------------------------

INSTALL		= copy
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA	= $(INSTALL)

SHELL		= bash # Only needed for "nmake /f Makefile.mak test"

.SUFFIXES:
.SUFFIXES:	.java .class

.java.class:
	$(JAVAC) $(JAVACFLAGS) $<

all::

clean::
	del /q *.bak *.flc

install::

test::

classes:
	mkdir classes

generated:
	mkdir generated

$(top_srcdir)\lib:
	mkdir $(top_srcdir)\lib

clean::
	-rmdir /s /q classes
	-rmdir /s /q generated
