//tabstop=4
//*****************************************************************************/
// Project: Orbasec
//
// Description:
//          
//
// -------------------------------------------------------------------------
// Copyright (C) 1998 Polar Humenn
//                    All rights reserved.
// -------------------------------------------------------------------------
// $Id$
//*****************************************************************************/
package orbasec.secrep.gsskrb5;

import orbasec.corba.VendorInitializer;

//----------------------------------------------------------------------/
// MechanismInitializer
/**
 * This class is used at SL2 initialization to initialize 
 * the Kerberos mechanism through the ORBACUS OCI.
 * 
 * @author  
 * @version $Revision$
 * @see     
 */
// Implementation notes:  
// 
//----------------------------------------------------------------------/
public class     Kerberos_MechanismInitializer
implements   orbasec.corba.SECIOPMechanismInitializer
{
	Kerberos_Vault vault_ = null;
	
	public void 
	init( 
		org.omg.CORBA.ORB    orb,
		org.omg.CORBA.BOA    boa,
		java.util.Properties properties )
	{
		vault_ = new Kerberos_Vault();

		boolean session = 
			Boolean.valueOf( 
				properties.getProperty( 
					VendorInitializer.ORBASEC_KERBEROS_SESSION_KEY, 
					VendorInitializer.ORBASEC_KERBEROS_SESSION_DEFAULT ) ).
						booleanValue();
		vault_.use_session( session );
	}
	
	public org.omg.SecurityReplaceable.Vault 
	get_vault()
	{
		return vault_;
	}
}
